ANNOUNCE: GHC version 6.8.2

Ian Lynagh igloo at
Thu Dec 13 20:32:16 EST 2007

On Fri, Dec 14, 2007 at 12:11:17PM +1100, Manuel M T Chakravarty wrote:
> >
> >otool -L compiler/stage2/ghc-6.8.2
> >       /opt/local/lib/libgmp.3.dylib (compatibility version 8.0.0,
> >current version 8.1.0)
> Yes, it does.  That's very strange for the *stage2* compiler.  I ran  
> otool on pwd and ghc-pkg (which were the problem in 6.8.1 and those  
> binaries don't depend on "gmp").
> Ian, why would a stage2 compiler depend on an external gmp?  I thought  
> it would always use the one bundled with ghc.

Do you mean the one in gmp/ in the ghc repo? That's only used if there
isn't an external GMP on the system; it's basically only there because
we don't want to require that Windows users install GMP.

I'm not sure where GMP frameworks on OS X fit in.

Incidentally, I suspect the otool output actually means it depends on
/some/ libgmp.3.dylib, and it is using one that it found in
/opt/local/lib/libgmp.3.dylib, but I could be wrong.


More information about the Glasgow-haskell-users mailing list